"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var angular_1 = require("@ui-model/angular");
var RADIO_GROUP_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return RadioGroupComponent; }),
    multi: true,
};
var RadioGroupComponent = (function (_super) {
    __extends(RadioGroupComponent, _super);
    function RadioGroupComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return RadioGroupComponent;
}(angular_1.SelectValueAccessor));
RadioGroupComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'ui-radio-group',
                templateUrl: 'radio-group.component.html',
                styleUrls: ['radio-group.component.scss'],
                inputs: ['disabled', 'valueField', 'labelField'],
                providers: [RADIO_GROUP_VALUE_ACCESSOR],
            },] },
];
/** @nocollapse */
RadioGroupComponent.ctorParameters = function () { return []; };
RadioGroupComponent.propDecorators = {
    'options': [{ type: core_1.Input },],
};
exports.RadioGroupComponent = RadioGroupComponent;
//# sourceMappingURL=radio-group.component.js.map