import { OnInit } from '@angular/core';
import { PropertyMetadata } from '@ui-model/angular';
import { AbstractControl, FormGroup } from '@angular/forms';
export declare class FormControlComponent implements OnInit {
    constructor();
    uniqueId: number;
    group: FormGroup;
    field: PropertyMetadata;
    readonly control: AbstractControl;
    ngOnInit(): void;
    isCustomEditor(field: PropertyMetadata): boolean;
    isInput(field: PropertyMetadata): boolean;
    isTextArea(field: PropertyMetadata): boolean;
    static latestUniqueId: number;
}
